package com.tzld.longarticle.recommend.server.model;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.List;

/**
 * @author dyp
 */

@NoArgsConstructor
@Getter
@Setter
@AllArgsConstructor
public class Content {
    private String id;
    private String title;
    // private String content;
//    private String coverUrl;
//    private List<String> imageUrls;
    private String producePlanName;
    /**
     * "Level4": "autoArticlePoolLevel4",
     * "Level3": "autoArticlePoolLevel3",
     * "Level2": "autoArticlePoolLevel2",
     * "Level1": "autoArticlePoolLevel1"
     */
    private String contentPoolType; // 内容池类别
    private String crawlerChannelContentId; // 抓取内容channelContentId
    private List<String> category; // 品类
    //    private String crawlerLink;
//    private String crawlerTitle;
    private String crawlerCoverUrl;
    private Integer crawlerViewCount;
    //    private Integer crawlerLikeCount;
//    private Long crawlerPublishTimestamp;
//    private String crawlerAccountName;
    private String filterReason;

    private List<ContentHisPublishArticle> hisPublishArticleList;
}

